// gnome.xonotic.in.ua

textures/base_floor/clangfloor_noisy
{
	qer_editorimage textures/base_floor/clang_floor.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clang_floor.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/proto_rustygrate2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/clear_ripple1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/liquids/slime1
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 100
	tesssize 32
	cull disable
	deformvertexes wave 100 sin 0 1 .5 .5
	{
		map textures/liquids/slime7c.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .05 .05
		tcmod scroll .001 .001
	}
}

textures/q3chaosdm3/eq2_bounce
{
	qer_editorimage textures/q3chaosdm3/eq2_bounce.tga
	{
		map textures/q3chaosdm3/eq2_bounce.tga
		rgbgen identity
	}
	{
		clampmap textures/q3chaosdm3/eq2_bouncefan.tga
		tcmod rotate 512
		blendfunc blend
		depthwrite
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_bounce.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3chaosdm3/eq2lt_baselt03
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/q3chaosdm3/eq2_baselt03.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_baselt03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt03.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_baselt03_2k
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/q3chaosdm3/eq2_baselt03.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_baselt03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt03.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_baselt03b
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/q3chaosdm3/eq2_baselt03b.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_baselt03b.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt03b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt03b.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_baselt04
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/q3chaosdm3/eq2_baselt04.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_baselt04.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt04.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_baselt04.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_bmtl03light_300
{
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/q3chaosdm3/eq2_bmtl_03_light.tga
	q3map_lightimage textures/q3chaosdm3/eq2_bmtl_03_light.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_bmtl_03_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_bmtl_03_light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_clight_10k
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/q3chaosdm3/eq2_32caplight.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_32caplight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_32caplight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_32caplight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_clight_8k
{
	surfaceparm nomarks
	q3map_surfacelight 8000
	q3map_lightimage textures/q3chaosdm3/eq2_32caplight.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_32caplight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_32caplight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_32caplight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_spawnlite_1k
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightimage textures/q3chaosdm3/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_weap_spawnlite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_weap_spawnlite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_stepsidelight_4k
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightimage textures/q3chaosdm3/eq2_stepsidelight.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_stepsidelight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_stepsidelight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_stepsidelight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_trimlight_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/q3chaosdm3/eq2_trimlight_01.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_trimlight_01.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimlight_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimlight_01.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_trimlight_s_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/q3chaosdm3/eq2_trimlight_01s.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_trimlight_01s.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimlight_01s.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimlight_01s.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_trimlite
{
	surfaceparm nomarks
	q3map_surfacelight 2500
	q3map_lightimage textures/q3chaosdm3/eq2_trimlite_side.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_trimlite_side.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimlite_side.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimlite_side.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_trimv_04lite
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightimage textures/q3chaosdm3/eq2_trimv_04lite.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_trimv_04lite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimv_04lite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimv_04lite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_trimv_lite_4k
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightimage textures/q3chaosdm3/eq2_trimv_lite.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_trimv_lite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimv_lite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_trimv_lite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_wallbig_01_3000
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/q3chaosdm3/eq2_wallbig_01.blend.tga
	qer_editorimage textures/q3chaosdm3/eq2_wallbig_01.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_wallbig_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_wallbig_01.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_wallbig_01b_1000
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	qer_editorimage textures/q3chaosdm3/eq2_wallbig_01b.tga
	q3map_lightimage textures/q3chaosdm3/eq2_wallbig_01.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_wallbig_01b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_wallbig_01.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2lt_walllight512_300
{
	surfaceparm nomarks
	q3map_surfacelight 300
	qer_editorimage textures/q3chaosdm3/eq2_walllight_512.tga
	q3map_lightimage textures/q3chaosdm3/eq2_walllight_512.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_walllight_512.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm3/eq2_walllight_512.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm3/eq2_telepanel
{
	qer_editorimage textures/q3chaosdm3/eq2_telepanel.tga
	q3map_lightimage textures/q3chaosdm3/eq2_telegoo.tga
	q3map_surfacelight 25
	{
		map textures/q3chaosdm3/eq2_telegoo.tga
		rgbgen identity
		tcmod turb 0 0.1 0 0.2
	}
	{
		map textures/q3chaosdm3/eq2_telepanel.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/skies/hellsky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 60
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.02 0
		tcmod scale 1 1
		depthwrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.02 0.01
		tcmod scale 3 3
	}
}

